| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Prompt.Ssh

Portability | unportable
Stability | unstable
Maintainer | andrea.rossato@unibz.it

Contents

Usage

Description
A ssh prompt for XMonad
Synopsis

sshPrompt :: XPConfig -> X ()

Usage

1. In your `~/.xmonad/xmonad.hs`:

     import XMonad.Prompt
     import XMonad.Prompt.Ssh

2. In your keybindings add something like:

       , ((modMask x .|. controlMask, xK_s), sshPrompt defaultXPConfig)

Keep in mind, that if you want to use the completion you have to disable the HashKnownHosts option in your ssh_config

For detailed instruction on editing the key binding see XMonad.Doc.Extending.

sshPrompt :: XPConfig -> X () | Source

Produced by Haddock version 2.4.2